# JCG assignment - Python list files in directory example

import glob
import os


# approach1
# The os module provides a function that gets a list of files or folders in a directory
# '.' signifies the current folder
# walk(....) method generates the file names in a directory tree by walking the tree either top-down or bottom-up
def os_module():
    for root, dirs, files in os.walk('.', topdown=False):
        for filename in files:
            print(filename)


# approach2
# The glob module also makes it possible to get a list of files or folders in a directory
# **/*.* - will support the recursive globs (where *.* denotes the all files with all extensions)
def glob_module():
    for file_name in glob.iglob('**/*.*', recursive=True):
        print(file_name)


def main():
    print('\n . . . . Using the os module to list the files . . . . \n')
    os_module()

    print('\n . . . . Using the glob module to list the files . . . . \n')
    glob_module()


if __name__ == '__main__':
    main()

print('\nDone')
